﻿An improved creative mode experience.

## Installation
Copy the contents of `plugins` to your `Valheim/BepInEx/plugins` directory or use your favourite mod manager.

## Github
To get issues addressed, please submit them directly to github.

- **[Bug Report](https://github.com/heinermann/Valheim_mods/issues/new?assignees=&labels=BetterCreative%2C+bug&template=-bettercreative--bug-report.md&title=)**
- **[Feature Request](https://github.com/heinermann/Valheim_mods/issues/new?assignees=&labels=BetterCreative%2C+enhancement&template=-bettercreative--feature-request.md&title=)**
- **[Source Code](https://github.com/heinermann/Valheim_mods/tree/main/BetterCreative)**

## Features

- Console access without needing the command line argument.
- Automatically set commonly used creative console commands (devcommands, god, ghost, etc.).
- Unlimited stamina.
- Allow placing all prefabs.
- No deconstruction drops to get in your way.
- No durability drain.
- No placement delay.
- Configurable.

## Config Options

Note that a game restart may be required for some changes to take effect.

### Command States
See [Console Commands](https://valheim.fandom.com/wiki/Console_Commands) for context.

- **nocost** - No build cost, unlocks everything.
- **god** - Makes it so you don't take damage from monsters.
- **ghost** - Prevents mobs from seeing you.
- **debugmode** - Enables fly mode and debug hotkeys.

### Improvements

- **Unlimited Stamina** - Can always perform stamina actions regardless of stamina amount.
- **All Prefabs** - Allow placement of all functional prefabs.
- **Unrestricted Placement** - Allow unrestricted placements (no collision, campfire on wood, etc).
- **No Piece Drops** - Don't drop materials when pieces are destroyed.
- **No Placement Delay** - No cooldowns for the hammer, cultivator, or hoe.
- **No Durability Drain** - Tools don't lose durability.

## Known Issues
- Some prefabs can log errors when selected in the hammer menu, but will still otherwise work.
- Sometimes the icon colours are messed up, usually restarting the game fixes it.

## Other Creative Mods

Here are some additional recommended mods which allow you do to more in a creative mode scenario.

- **BuildShare** ([Nexus](https://www.nexusmods.com/valheim/mods/5)) - Create, use, and share `.vbuild` files. Not sure how this one works but appears to be popular.
- **PlanBuild** ([Nexus](https://www.nexusmods.com/valheim/mods/1125), [Thunderstore](https://valheim.thunderstore.io/package/MathiasDecrock/PlanBuild/)) - Create, use, and share `.blueprint` files.
- **Plant Everything** ([Nexus](https://www.nexusmods.com/valheim/mods/1042), [Thunderstore](https://valheim.thunderstore.io/package/Advize/PlantEverything/)) - Allows planting regrowable berry bushes, mushrooms, thistle, etc among other things. It will move some things from the build menu of this mod to the cultivator.
- **Easy Spawner** ([Nexus](https://www.nexusmods.com/valheim/mods/374)) - A separate UI for spawning any prefab with parameters.
- **Hoe Radius** ([Nexus](https://www.nexusmods.com/valheim/mods/1199)) - Allows changing the radius of the hoe.
- **My Favorite Hoe** ([Nexus](https://www.nexusmods.com/valheim/mods/1078)) - A different hoe with various terrain manipulation functions.
